<?php
namespace Migration\Handler\AheadworksRma;

use Migration\ResourceModel\Record;
use Migration\Handler\AbstractHandler;
use Migration\Handler\HandlerInterface;

/**
 * Handler for correction customer ID
 */
class CustomerIdCheck extends AbstractHandler implements HandlerInterface
{
    /**
     * {@inheritdoc}
     */
    public function handle(Record $recordToHandle, Record $oppositeRecord)
    {
        $this->validate($recordToHandle);
        $customerId = $recordToHandle->getValue('customer_id');
        if ($customerId == '0') {
            $recordToHandle->setValue($this->field, null);
        }
    }
}
